Xerces-C++ 3.2.5

Public Member Functions | Protected Member Functions | List of all members
XMLLCPTranscoder Class Referenceabstract

`#include <xercesc/util/TransService.hpp>`

Inheritance diagram for XMLLCPTranscoder:

## Public Member Functions
virtual | ~XMLLCPTranscoder ()
virtual char * | transcode (const XMLCh *const toTranscode, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual XMLCh * | transcode (const char *const toTranscode, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual XMLSize_t | calcRequiredSize (const char *const srcText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual XMLSize_t | calcRequiredSize (const XMLCh *const srcText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual bool | transcode (const char *const toTranscode, XMLCh *const toFill, const XMLSize_t maxChars, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual bool | transcode (const XMLCh *const toTranscode, char *const toFill, const XMLSize_t maxBytes, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Member Functions
| XMLLCPTranscoder ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ ~XMLLCPTranscoder()

virtual XMLLCPTranscoder::~XMLLCPTranscoder | ( |  | ) |
| virtual

## ◆ XMLLCPTranscoder()

XMLLCPTranscoder::XMLLCPTranscoder | ( |  | ) |
| protected

## Member Function Documentation

## ◆ calcRequiredSize() [1/2]

virtual XMLSize_t XMLLCPTranscoder::calcRequiredSize | ( | const char *const | srcText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |
| pure virtual

## ◆ calcRequiredSize() [2/2]

virtual XMLSize_t XMLLCPTranscoder::calcRequiredSize | ( | const XMLCh *const | srcText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |
| pure virtual

## ◆ transcode() [1/4]

virtual XMLCh * XMLLCPTranscoder::transcode | ( | const char *const | toTranscode,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |
| pure virtual

## ◆ transcode() [2/4]

virtual bool XMLLCPTranscoder::transcode | ( | const char *const | toTranscode,
|  | XMLCh *const | toFill,
|  | const XMLSize_t | maxChars,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |
| pure virtual

## ◆ transcode() [3/4]

virtual bool XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode,
|  | char *const | toFill,
|  | const XMLSize_t | maxBytes,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |
| pure virtual

## ◆ transcode() [4/4]

virtual char * XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- TransService.hpp